#!/bin/sh -e

TMP=/tmp/rsync-test.$$
LOG=/tmp/rsync-test.$$/log

mkdir $TMP

cd /usr/doc

echo -n "Test 1 "
rsync -av rsync/ ${TMP}/rsync > $LOG 2>&1
diff -ur rsync/ ${TMP}/rsync  >> $LOG
echo done.

echo -n "Test 2 "
rm ${TMP}/rsync/copyright
rsync -av rsync/ ${TMP}/rsync > $LOG 2>&1
diff -ur rsync/ ${TMP}/rsync  >> $LOG
echo done.

echo -n "Test 3 "
echo "extra line" >> ${TMP}/rsync/copyright
rsync -av rsync/ ${TMP}/rsync > $LOG 2>&1
diff -ur rsync/ ${TMP}/rsync  >> $LOG
echo done.

echo -n "Test 4 "
cp rsync/copyright ${TMP}/rsync/copyright2
rsync --delete -av rsync/ ${TMP}/rsync > $LOG 2>&1
diff -ur rsync/ ${TMP}/rsync  >> $LOG
echo done.

echo -n "Test 5 (uses ssh, so will fail if you don't have it) "
rm -rf ${TMP}/rsync
rsync -av -e ssh rsync/ localhost:${TMP}/rsync > $LOG 2>&1
diff -ur rsync/ ${TMP}/rsync  >> $LOG
echo done.

echo -n "Test 6 (uses ssh, so will fail if you don't have it) "
mv ${TMP}/rsync/copyright ${TMP}/rsync/copyright2
rsync --delete -av -e ssh rsync/ localhost:${TMP}/rsync > $LOG 2>&1
diff -ur rsync/ ${TMP}/rsync  >> $LOG
echo done.

rm -rf ${TMP}

echo Test Successfully Completed
